.bx-color-choose {
    --bs-offcanvas-width: 580px !important;
}



.bx-color-choose .tab-content {
    overflow: auto;
    overflow-x: hidden;
}




.bx-color-choose .filters {}

.bx-color-choose .filters .filter-block {

}

.bx-color-choose .filters .filter-block .filter-name {
    font-size: 14px;
    line-height: 1.2;
    color: gray;
}

.bx-color-choose .filters .filter-block .filter-links {

}
.bx-color-choose .filters .filter-block .link {
    font-size: 14px;
    line-height: 1.2;
}
.bx-color-choose .filters .filter-block .link:hover {
    color: #000;
}
.bx-color-choose .filters .filter-block .link.active {
    font-weight: bold;
    text-decoration: underline;
}





.bx-color-choose .color {
    position: relative;
    height: 60px;
    overflow: hidden;
    border: 1px solid #fff;
    border-top: 0;
    border-right: 0;
    cursor: pointer;
}


.bx-color-choose .color::before {
    content: "";
    background-color: rgba(255, 255, 255, 0.4);
    height: 80px;
    width: 140px;
    position: absolute;
    top: -9px;
    transform: rotate(52deg);
    left: -150px;
    transition: left .4s;
    z-index: 1;
}
.bx-color-choose .color:hover::before {
    left: 150px;
}


.bx-color-choose .color .name {
    font-size: 12px;
    line-height: 1.2;
}




.bx-color-choose .color::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 100%;
    background: url(images/search-select.svg) center center no-repeat, hsla(0, 0%, 100%, .5);
    opacity: 0;
}
.bx-color-choose .color.active::after {
    opacity: 1;
}



.bx-color-choose .color .color-links {
    top: 0;
    right: -30px;
    z-index: 1;
    opacity: 0;
    transition: .2s;
}
.bx-color-choose .color:hover .color-links {
    right: 0;
    opacity: 1;
}

.bx-touch .bx-color-choose .color .color-links {
    right: 0;
    opacity: 1;
}
.bx-touch .bx-color-choose .color .color-links a {

}




.bx-color-choose .color-info {
    position: absolute;
    top: 0;
    bottom: 0;
    right: -100%;
    z-index: 1;
    opacity: 0;
    width: 100%;
    height: 100%;
    transition: 0.5s;
}
.bx-color-choose .color-info.active {
    animation: colorInfoOpen .1s linear forwards;
}
.bx-color-choose .color-info.close {
    animation: colorInfoClose .3s linear forwards;
}

@keyframes colorInfoOpen {
    0% {
        right: -100%;
        opacity: 0;
    }
    100% {
        right: 0;
        opacity: 1;
    }
}
@keyframes colorInfoClose {
    0% {
        right: 0;
        opacity: 1;
    }
    70% {
        right: -70%;
        opacity: 1;
    }
    100% {
        right: -100%;
        opacity: 0;
    }
}


.bx-color-choose .color-info .btn-close {
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 1;
}











.bx-color-choose-modal.modal .modal-dialog {
    --bs-modal-width: 800px;
    --bs-modal-height: 540px;
}

.bx-color-choose-modal.inoxi-modal .modal-content {
    height: var(--bs-modal-height);
}

.bx-color-choose-modal.inoxi-modal .modal-header {
    padding: 0;
}
.bx-color-choose-modal.inoxi-modal .modal-title {
    display: none;
}
.bx-color-choose-modal.inoxi-modal .modal-header .btn-close {
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 1;
}

.bx-color-choose-modal.inoxi-modal .modal-body {
    height: 100%;
    padding: 0;
}
.bx-color-choose-modal.inoxi-modal .info-block {
    height: 100%;
}




@media screen and (max-width: 1199px) {



}
@media screen and (max-width: 991px) {



}
@media screen and (max-width: 767px) {

    .bx-color-choose {
        --bs-offcanvas-width: 420px !important;
    }


    .bx-color-choose .filters .filter-block .filter-name {
        font-size: 12px;
    }
    
    .bx-color-choose .filters .filter-block .link {
        font-size: 12px;
    }
    
    
    .bx-color-choose .color {
        min-height: 54px;
        height: 54px;
    }

}
@media screen and (max-width: 575px) {

    .bx-color-choose {
        --bs-offcanvas-width: 420px !important;
    }


    .bx-color-choose .color {
        min-height: 70px;
        height: 70px;
    }

}